/*
   halt_pragmas.h --- halt library interface.

   (c) Copyright 1995 SHW Wabnitz
   Written by Bernhard Fastenrath (fasten@shw.com)

   This file may be distributed under the terms
   of the GNU General Public License.
*/

int Reboot(int flags);
int Unmount(char *filesystem);
int AddShutdownPort(struct MsgPort *prt);
int RemShutdownPort(struct MsgPort *prt);
int ShutdownStatus(struct ShutdownMessage *smsg);

#pragma libcall HaltBase Reboot 1E 101
#pragma libcall HaltBase Unmount 24 101
#pragma libcall HaltBase AddShutdownPort 2A 101
#pragma libcall HaltBase RemShutdownPort 30 101
#pragma libcall HaltBase ShutdownStatus 36 101
